interface ScrollSpyOptions {
    class: string;
    scroll: HTMLElement;
}
export declare class ScrollSpy {
    private readonly selector;
    private readonly options;
    private current;
    private nodes;
    private offset;
    private timeout;
    private handleScroll;
    private get active();
    private get bottom();
    private get root();
    constructor(selector: string, options?: Partial<ScrollSpyOptions>);
    destroy(): void;
    detect(): void;
    reload(): void;
    private activate;
    private deactivate;
    private isVisible;
}
export {};
